// Fill out your copyright notice in the Description page of Project Settings.


#include "InventoryItem.h"
#include "Components/TextBlock.h"
#include "Components/Image.h"
#include "InventoryItemData.h"

void UInventoryItem::SetData(class UInventoryItemData* Data)
{
	Index = Data->ItemIndex;
	ItemText = Data->ItemText;
}

void UInventoryItem::NativeOnListItemObjectSet(UObject* ListemItemObject)
{
	UInventoryItemData* ItemData = Cast< UInventoryItemData>(ListemItemObject);
	if (IsValid(ItemData))
	{
		TextBlock_ItemText->SetText(FText::FromString(ItemData->ItemText));
		if ((ItemData->ItemIndex % 3) == 0)
		{
			UTexture2D* Texture = LoadObject<UTexture2D>(nullptr, TEXT("/Game/texture/redbox.redbox"));
			if (Texture)
				Image_ItemImage->SetBrushFromTexture(Texture);
		}
		else if ((ItemData->ItemIndex % 3) == 1)
		{
			UTexture2D* Texture = LoadObject<UTexture2D>(nullptr, TEXT("/Game/texture/bluebox.bluebox"));
			if (Texture)
				Image_ItemImage->SetBrushFromTexture(Texture);
		}
		else
		{
			UTexture2D* Texture = LoadObject<UTexture2D>(nullptr, TEXT("/Game/texture/greenbox.greenbox"));
			if (Texture)
				Image_ItemImage->SetBrushFromTexture(Texture);
		}
	}

	SetData(ItemData);
}

void UInventoryItem::NativeOnItemSelectionChanged(bool bIsSelected)
{
	UE_LOG(LogTemp, Warning, TEXT("bIsSelected: %d, 0x%p, NativeOnItemSelectionChanged"), bIsSelected, this);
}
