// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "Blueprint/UserWidget.h"
#include "Blueprint/IUserObjectListEntry.h"
#include "InventoryItem.generated.h"

/**
 * 
 */
UCLASS()
class UMGLISTVIEWDEMO_API UInventoryItem : public UUserWidget, public IUserObjectListEntry
{
	GENERATED_BODY()

public:
	void SetData(class UInventoryItemData* Data);

protected:
	virtual void NativeOnListItemObjectSet(UObject* ListemItemObject) override;
	virtual void NativeOnItemSelectionChanged(bool bIsSelected) override;

protected:
	//Visual Data
	UPROPERTY()
	class UTextBlock* TextBlock_ItemText;
	UPROPERTY()
	class UImage* Image_ItemImage;

	//Real Data
	UPROPERTY()
	int Index;
	UPROPERTY()
	FString ItemText;
};
