// Fill out your copyright notice in the Description page of Project Settings.


#include "MyListView.h"
#include "Components/ListView.h"
#include "InventoryItemData.h"

bool UMyListView::Initialize()
{
	if (Super::Initialize() == false)
		return false;

	ListView_Name->OnItemClicked().AddUObject(this, &UMyListView::OnItemClick);
	InitList();
	return true;
}

void UMyListView::InitList()
{
	for (int n = 0; n < 20; ++n)
	{
		UInventoryItemData* item = NewObject<UInventoryItemData>(this, UInventoryItemData::StaticClass());
		item->ItemIndex = n + 1;
		item->ItemText = FString::Printf(TEXT("%03d"), n + 1);
		ListView_Name->AddItem(item);
	}
}

void UMyListView::OnItemClick(UObject* Obj)
{
	UInventoryItemData* pData = Cast<UInventoryItemData>(Obj);

	if (IsValid(pData))
	{
		UE_LOG(LogTemp, Log, TEXT("Index=%d, Name=%s"), pData->ItemIndex, *pData->ItemText);
	}
}